# Created by pyp2rpm-3.3.10
%global pypi_name librosa
%global pypi_version 0.10.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Python module for audio and music processing

License:        ISC
URL:            https://librosa.org
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(audioread) >= 2.1.9
BuildRequires:  python3dist(decorator) >= 4.3
BuildRequires:  python3dist(ipython) >= 7
BuildRequires:  python3dist(joblib) >= 0.14
BuildRequires:  python3dist(lazy-loader) >= 0.1
BuildRequires:  python3dist(matplotlib) >= 3.3
BuildRequires:  python3dist(matplotlib) >= 3.3
BuildRequires:  python3dist(matplotlib) >= 3.3
BuildRequires:  python3dist(mir-eval) >= 0.5
BuildRequires:  python3dist(msgpack) >= 1
BuildRequires:  python3dist(numba) >= 0.51
BuildRequires:  python3dist(numba) >= 0.51
BuildRequires:  (python3dist(numpy) >= 1.20.3 with (python3dist(numpy) < 1.22.2 or python3dist(numpy) > 1.22.2) with (python3dist(numpy) < 1.22.1 or python3dist(numpy) > 1.22.1) with (python3dist(numpy) < 1.22 or python3dist(numpy) > 1.22))
BuildRequires:  python3dist(numpydoc)
BuildRequires:  python3dist(packaging) >= 20
BuildRequires:  python3dist(pooch) >= 1
BuildRequires:  python3dist(presets)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-mpl)
BuildRequires:  python3dist(resampy) >= 0.2.2
BuildRequires:  python3dist(samplerate)
BuildRequires:  python3dist(scikit-learn) >= 0.20
BuildRequires:  python3dist(scipy) >= 1.2
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(soundfile) >= 0.12.1
BuildRequires:  python3dist(soxr) >= 0.3.2
BuildRequires:  (python3dist(sphinx) < 1.3.1 or python3dist(sphinx) > 1.3.1)
BuildRequires:  python3dist(sphinx-gallery) >= 0.7
BuildRequires:  python3dist(sphinx-multiversion) >= 0.2.3
BuildRequires:  python3dist(sphinx-rtd-theme) >= 1.2
BuildRequires:  python3dist(sphinxcontrib-svg2pdfconverter)
BuildRequires:  python3dist(types-decorator)
BuildRequires:  python3dist(typing-extensions) >= 4.1.1

%description
[![librosa logo](docs/img/librosa_logo_text.svg)]( librosa A python package for
music and audio analysis. [![PyPI]( [![Anaconda-Server Badge]( [![License](
[![DOI](

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(audioread) >= 2.1.9
Requires:       python3dist(decorator) >= 4.3
Requires:       python3dist(ipython) >= 7
Requires:       python3dist(joblib) >= 0.14
Requires:       python3dist(lazy-loader) >= 0.1
Requires:       python3dist(matplotlib) >= 3.3
Requires:       python3dist(mir-eval) >= 0.5
Requires:       python3dist(msgpack) >= 1
Requires:       python3dist(numba) >= 0.51
Requires:       (python3dist(numpy) >= 1.20.3 with (python3dist(numpy) < 1.22.2 or python3dist(numpy) > 1.22.2) with (python3dist(numpy) < 1.22.1 or python3dist(numpy) > 1.22.1) with (python3dist(numpy) < 1.22 or python3dist(numpy) > 1.22))
Requires:       python3dist(numpydoc)
Requires:       python3dist(packaging) >= 20
Requires:       python3dist(pooch) >= 1
Requires:       python3dist(presets)
Requires:       python3dist(pytest)
Requires:       python3dist(pytest-cov)
Requires:       python3dist(pytest-mpl)
Requires:       python3dist(resampy) >= 0.2.2
Requires:       python3dist(samplerate)
Requires:       python3dist(scikit-learn) >= 0.20
Requires:       python3dist(scipy) >= 1.2
Requires:       python3dist(soundfile) >= 0.12.1
Requires:       python3dist(soxr) >= 0.3.2
Requires:       (python3dist(sphinx) < 1.3.1 or python3dist(sphinx) > 1.3.1)
Requires:       python3dist(sphinx-gallery) >= 0.7
Requires:       python3dist(sphinx-multiversion) >= 0.2.3
Requires:       python3dist(sphinx-rtd-theme) >= 1.2
Requires:       python3dist(sphinxcontrib-svg2pdfconverter)
Requires:       python3dist(types-decorator)
Requires:       python3dist(typing-extensions) >= 4.1.1
%description -n python3-%{pypi_name}
[![librosa logo](docs/img/librosa_logo_text.svg)]( librosa A python package for
music and audio analysis. [![PyPI]( [![Anaconda-Server Badge]( [![License](
[![DOI](


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install

find %{buildroot}%{python3_sitelib}/%{pypi_name}/ -type f -name '*.py' | xargs sed -e '1d' -i

# Most tests currently fail.
#%%check
#%%pytest

%files -n python3-%{pypi_name}
%license LICENSE.md
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/

%changelog
* Tue Apr 02 2024 Gwyn Ciesla <gwync@protonmail.com> - 0.10.1-1
- Initial package.
